Page MenuHomePhabricator

ORES extension doesn't clean up parent in wp10 model
Closed, ResolvedPublic

Description

MariaDB [enwiki_p]> select rc_title, rc_this_oldid, rc_last_oldid count(*) from ores_classification join recentchanges on oresc_rev = rc_this_oldid where oresc_model = 34 group by rc_title limit 50;
ERROR 1064 (42000): You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near 'count(*) from ores_classification join recentchanges on oresc_rev = rc_this_oldi' at line 1
MariaDB [enwiki_p]> select rc_title, rc_this_oldid, rc_last_oldid, count(*) from ores_classification join recentchanges on oresc_rev = rc_this_oldid where oresc_model = 34 group by rc_title limit 50;
+--------------------------------------------------+---------------+---------------+----------+
| rc_title                                         | rc_this_oldid | rc_last_oldid | count(*) |
+--------------------------------------------------+---------------+---------------+----------+
| !!!                                              |     845914759 |     845502280 |        1 |
| !important                                       |     846292191 |     367327381 |        2 |
| "Awaken,_My_Love!"                               |     845821254 |     842938311 |        2 |
| "Freeway"_Rick_Ross                              |     846367982 |     845611327 |        1 |
| "Heroes"_(David_Bowie_album)                     |     845975549 |     844884566 |        1 |
| "Heroes"_(David_Bowie_song)                      |     846346868 |     845185498 |        1 |
| "Master_Harold"...and_the_Boys                   |     845914775 |     837507597 |        1 |
| "Related_ethnic_groups"_needing_confirmation     |     845772969 |     840682147 |       16 |
| "The_Spaghetti_Incident?"                        |     846438346 |     845694655 |        1 |
| "Welding"_Kumar                                  |     846304226 |     798267859 |        1 |
| $2_billion_arms_deal                             |     845958067 |     842537697 |        1 |
| 'Abd_al-Ilah                                     |     845914785 |     843841386 |        1 |
| 'Abd_al-Rahim_ibn_Ja'far_ibn_Sulayman_al-Hashimi |     846056611 |     804874946 |        2 |
| 'Ain_Ghazal_Statues                              |     846104078 |     844727826 |        1 |
| 'Allo_'Allo!_(series_5)                          |     845834505 |     844052035 |        2 |
| 'Encore'_mandarin                                |     845905853 |     837605304 |        1 |
| 'Nduja                                           |     846367070 |     845023720 |        4 |
| 'Round_Midnight_(song)                           |     846209064 |     810896350 |        1 |
| 'Round_Springfield                               |     845837374 |     839053219 |        1 |
| 'S_Up                                            |     846304201 |     822316175 |        1 |
| 'Steel_Man'_Narendra_Chaudhary                   |     846302965 |     806349301 |        1 |
| 'The_Masterwork'_Award_Winning_Fish-Knife        |     845887298 |     811907203 |        1 |
| 'Till_Ireland_a_Nation                           |     846311762 |     812431395 |        1 |
| 'Tis_Pity_She's_a_Whore_(film)                   |     845775643 |     845348111 |        1 |
| 'Tis_So_Sweet_to_Trust_in_Jesus                  |     846073044 |     842479282 |        5 |
| 'Umar_ibn_Ibrahim_ibn_Waqid_al-'Umari            |     846269724 |     804875615 |        1 |
| '_(disambiguation)                               |     845903967 |     844203086 |        1 |
| 'night,_Mother                                   |     845914797 |     820322515 |        1 |
| 's-Hertogenbosch                                 |     846148644 |     845322236 |        2 |
| (+)-Benzo(a)pyrene-7,8-dihydrodiol-9,10-epoxide  |     846302816 |     822949314 |        1 |
| (04:30)_Idler                                    |     846305752 |     845375295 |        1 |
| (11395)_1998_XN77                                |     845993984 |     845102984 |        1 |
| (12126)_1999_RM11                                |     845983011 |             0 |        1 |
| (15436)_1998_VU30                                |     845990912 |     845106371 |        1 |
| (15440)_1998_WX4                                 |     845849579 |     845006236 |        2 |
| (16070)_1999_RB101                               |     845782377 |     845006085 |        3 |
| (23135)_2000_AN146                               |     845995285 |     845102502 |        1 |
| (275809)_2001_QY297                              |     846307945 |     843116221 |        1 |
| (34746)_2001_QE91                                |     846380604 |     845006410 |        2 |
| (3708)_1974_FV1                                  |     845992710 |     845103706 |        1 |
| (38050)_1998_VR38                                |     846388427 |     845006721 |        1 |
| (4035)_1986_WD                                   |     845897472 |     845274928 |        3 |
| (4489)_1988_AK                                   |     845992327 |     845104164 |        3 |
| (4715)_1989_TS1                                  |     845900304 |     807124084 |       10 |
| (514107)_2015_BZ509                              |     845881454 |     843869892 |        3 |
| (5648)_1990_VU1                                  |     846258150 |     807125362 |        1 |
| (6090)_1989_DJ                                   |     846247006 |     834330398 |        1 |
| (7641)_1986_TT6                                  |     845993751 |     845289004 |        1 |
| (84922)_2003_VS2                                 |     846066003 |     822331160 |        1 |
| (9799)_1996_RJ                                   |     845994406 |     845102817 |        1 |
+--------------------------------------------------+---------------+---------------+----------+
50 rows in set (1 min 35.93 sec)

Event Timeline

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJun 18 2018, 9:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 440973 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Fix config for cleaning up parent scores

https://gerrit.wikimedia.org/r/440973

Change 440974 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Fix ORES config

https://gerrit.wikimedia.org/r/440974

Change 440973 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Fix config for cleaning up parent scores

https://gerrit.wikimedia.org/r/440973

Change 440974 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix ORES config

https://gerrit.wikimedia.org/r/440974

Mentioned in SAL (#wikimedia-operations) [2018-06-25T13:32:34Z] <hashar@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Fix ORES config - T197633 (duration: 00m 58s)

Change 441867 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Fix ORES config, part II

https://gerrit.wikimedia.org/r/441867

Change 441867 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix ORES config, part II

https://gerrit.wikimedia.org/r/441867

Mentioned in SAL (#wikimedia-operations) [2018-06-25T14:01:02Z] <hashar@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Fix ORES config, part II - T197633 (duration: 00m 57s)

Vvjjkkii renamed this task from ORES extension doesn't clean up parent in wp10 model to ipaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii removed Ladsgroup as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from ipaaaaaaaa to ORES extension doesn't clean up parent in wp10 model.Jul 2 2018, 1:42 PM
CommunityTechBot assigned this task to Ladsgroup.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
Ladsgroup moved this task from Incoming to Done on the User-Ladsgroup board.Aug 22 2018, 6:08 PM
Ladsgroup closed this task as Resolved.Nov 1 2018, 8:00 PM